SDL_WindowSupportsGPUSwapchainComposition(3)

NAME
SDL_WindowSupportsGPUSwapchainComposition - Determines whether a swapchain composition is supported by the window.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_WindowSupportsGPUSwapchainComposition(
    SDL_GPUDevice *device,
    SDL_Window *window,
    SDL_GPUSwapchainComposition swapchain_composition);

DESCRIPTION
The window must be claimed before calling this function.

FUNCTION PARAMETERS

device
    a GPU context.

window
    an SDL_Window.

swapchain_composition
    the swapchain composition to check.

RETURN VALUE
Returns true if supported, false if unsupported.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ClaimWindowForGPUDevice(3)